Subject: Re: [PATCH 02/12] powerpc/module: Mark module stubs with a magic value

From: Torsten Duwe <[email-masked]>
Date: Thu, 25 Feb 2016 14:17:27 +0100

On Thu, Feb 25, 2016 at 01:28:25AM +1100, Michael Ellerman wrote:
> 
> We can make that process easier by marking the generated stubs with a
> magic value, and then looking for that magic value. Altough this is not
> as rigorous as the current method, I believe it is sufficient in
> practice.

The actual magic value is sort of debatable; it should be "improbable"
enough. But this can be changed easily, for each kernel compile, even.

> Signed-off-by: Michael Ellerman <[email-masked]>
Reviewed-by: Torsten Duwe <[email-masked]>

[for reference:]
>  
> +#define STUB_MAGIC 0x73747562 /* stub */
> +

	Torsten